Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class VillageCollection

    java.lang.Object
      net.minecraft.src.VillageCollection

    public class VillageCollection

extends Object

Constructor Summary
`VillageCollection(World par1World)`

Method Summary
`void` | `addVillagerPosition(int par1, int par2, int par3)` This is a black hole.
`Village` | `findNearestVillage(int par1, int par2, int par3, int par4)` Finds the nearest village, but only the given coordinates are withing it's bounding box plus the given the distance.
`List` | `getVillageList()` Get a list of villages.
`void` | `tick()` Runs a single tick for the village collection

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VillageCollection

    public VillageCollection(World par1World)

Method Detail

### addVillagerPosition

    public void addVillagerPosition(int par1,
                                    int par2,
                                    int par3)

  This is a black hole. You can add data to this list through a public interface, but you can't query that information in any way and it's not used internally either.

### tick

    public void tick()

  Runs a single tick for the village collection

### getVillageList

    public List getVillageList()

  Get a list of villages.

### findNearestVillage

    public Village findNearestVillage(int par1,
                                      int par2,
                                      int par3,
                                      int par4)

  Finds the nearest village, but only the given coordinates are withing it's bounding box plus the given the distance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD